Subject: Re: Comment on section 2.3 of draft-ietf-ipr-rules-update-01

From: [email-masked]
Date: Wed, 09 Nov 2005 15:22:38 +0000

Simon - Joel - Jorge  
Why dont you folks do something simple that will end all of these painful discussions... That being to define a set of real-world uses for data contained in IETF Documents, and from each use-model the defining of the necessary rights are a snap: 
-----------------------------
1) For people building implementations of that said-same protocol, as it is. In this case, all postings would be public like those in the ITEF and follow all of the access/re-publishing rules thereof.

2) For people building derivative implementations of that said-same protocol who may or may not want to make their derivative a public resource like those in the IETF.

3) For people building analysis or otherwise using parts of IETF published documents who may or may not want to make their derivative a public resource like those in the IETF.

I count three use models and two variants of #'s 2 and 3. So that's a total of 5 (five) use cases...

Oh and there is a fourth case (4)... much rarer no doubt but one I can see happening, and that would be someone that was using a non-public process to patent a technology that was either disclosed inside a WG or was a derivative of one of those as well... So this one is the screwball in that it would require special considerations of the RFC Editorial Staff or the I-D Editorial Staff to manage. I.e. a WG with a restricted mailing list and a confidentiality agreement would suffice to 'control the IP's public distribution such that patent rights could be maintained'.

Once this is done, then the fully necessary terms and conditions can easily be defined for each of these classes of use.

By the way - I thought that RFC's could not be referred to in print as anything other than what they are, a request for comments. That is to say, by their very name, these documents can ONLY be used as a solicitation for commentary submitted to the IETF. That said, this is even worse for I-D's which by my understanding are not to be commented on outside of the group that they were submitted to/through.

Otherwise, what purpose is an IETF Standard? - 

Bluntly - what we are seeing is the gross negligence of the CHAIR and the past CHAIR'S in enforcing the IETF's control over its own documents per se.

If you think I am calling the chair "lame" that's probably the nice way of putting it.

Todd Glassey

 -------------- Original message ----------------------
From: Simon Josefsson <[email-masked]>
> John C Klensin <[email-masked]> writes:
> 
> >> Frankly, we could probably eliminate the boilerplate and
> >> simply rely on the license grants, but I guess it doesn't hurt
> >> to
> >> include it for clarity.
> >
> > Actually, I continue to believe that our tendency toward ever more
> > boilerplate is harmful.  It makes trivial documents longer and,
> > because it is boilerplate, changes from one document to another are
> > very hard to spot and often go unseen.  We would be far better to a
> > pointer to licenses, etc., that have the property that, if the
> > external material changes, the pointers change in a way that makes
> > that clear.
> 
> I agree with John here.  People have been mistaken the boiler plate as
> the license for too long.  That misconception appeared here as well, I
> recall that it was argued that the boiler plate ("distribution of this
> memo is unlimited") gave third parties any rights.  That is not the
> case, and has never been the case, as far as I can understand.
> 
> Removing the boiler plate and including the actual license text is
> better.  Pointing to the license text is problematic, as is currently
> done, because the license may then be revised to retract rights
> granted earlier.  That is why I believe it is important to add the
> word "perpetual" to copying conditions.
> 
> Regards,
> Simon
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg